summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Andrzej Telszewski <atelszewski@gmail.com>2015-01-20 17:15:24 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-01-20 17:15:24 +0700
commitec896d6f596146cdbd3648daf9aa95d064f558a2 (patch)
treecd1702e5e682b1379f41bac54a376faee774a18e
parent313cffe2268679fa5b906167e2d46c63b086b0e7 (diff)
downloadslackbuilds-ec896d6f596146cdbd3648daf9aa95d064f558a2.tar.gz
slackbuilds-ec896d6f596146cdbd3648daf9aa95d064f558a2.tar.xz
development/u-boot-tools: Added (Das U-Boot bootloader Companion).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/u-boot-tools/README3
-rw-r--r--development/u-boot-tools/slack-desc19
-rw-r--r--development/u-boot-tools/u-boot-tools.SlackBuild96
-rw-r--r--development/u-boot-tools/u-boot-tools.info10
4 files changed, 128 insertions, 0 deletions
diff --git a/development/u-boot-tools/README b/development/u-boot-tools/README
new file mode 100644
index 0000000000..d723b88583
--- /dev/null
+++ b/development/u-boot-tools/README
@@ -0,0 +1,3 @@
+Companion tools for Das U-Boot bootloader:
+* mkimage
+* mkenvimage
diff --git a/development/u-boot-tools/slack-desc b/development/u-boot-tools/slack-desc
new file mode 100644
index 0000000000..85082dbe5d
--- /dev/null
+++ b/development/u-boot-tools/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+u-boot-tools: U-Boot Tools (Companion tools for Das U-Boot bootloader)
+u-boot-tools:
+u-boot-tools: U-Boot Tools are companion tools for Das U-Boot bootloader:
+u-boot-tools: - mkimage
+u-boot-tools: - mkenvimage
+u-boot-tools:
+u-boot-tools: Homepage: http://www.denx.de/wiki/U-Boot/
+u-boot-tools:
+u-boot-tools:
+u-boot-tools:
+u-boot-tools:
diff --git a/development/u-boot-tools/u-boot-tools.SlackBuild b/development/u-boot-tools/u-boot-tools.SlackBuild
new file mode 100644
index 0000000000..a0a894b056
--- /dev/null
+++ b/development/u-boot-tools/u-boot-tools.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for U-Boot Tools
+
+# Copyright 2015 Andrzej Telszewski, Sabadell
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=u-boot-tools
+SRCNAM=u-boot
+VERSION=${VERSION:-2015.01}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.bz2
+mv $SRCNAM-$VERSION $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Build:
+CC=${CC:-gcc}
+make allnoconfig
+make HOSTCC="$CC" HOSTCFLAGS="$SLKCFLAGS" tools-only
+strip --strip-unneeded tools/mkimage
+strip --strip-unneeded tools/mkenvimage
+
+# Install:
+mkdir -p $PKG/usr/bin
+cp -a tools/mkimage tools/mkenvimage $PKG/usr/bin
+gzip -k -9 doc/mkimage.1
+mkdir -p $PKG/usr/man/man1
+cp -a doc/mkimage.1.gz $PKG/usr/man/man1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README doc/README.*image* doc/uImage.FIT $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/u-boot-tools/u-boot-tools.info b/development/u-boot-tools/u-boot-tools.info
new file mode 100644
index 0000000000..4ac6257b5e
--- /dev/null
+++ b/development/u-boot-tools/u-boot-tools.info
@@ -0,0 +1,10 @@
+PRGNAM="u-boot-tools"
+VERSION="2015.01"
+HOMEPAGE="http://www.denx.de/wiki/U-Boot/"
+DOWNLOAD="ftp://ftp.denx.de/pub/u-boot/u-boot-2015.01.tar.bz2"
+MD5SUM="7f08dc9e98a71652bd6968888ed6ec95"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Andrzej Telszewski"
+EMAIL="atelszewski@gmail.com"